> ## Documentation Index
> Fetch the complete documentation index at: https://skyvern.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List Twilio phone numbers

> List SMS-capable phone numbers available in the connected Twilio account.



## OpenAPI

````yaml /api-reference/openapi.json get /v1/integrations/twilio/phone-numbers
openapi: 3.1.0
info:
  title: Skyvern API
  description: API for Skyvern
  version: 1.0.0
servers:
  - url: https://api.skyvern.com
    x-fern-server-name: Cloud
security: []
paths:
  /v1/integrations/twilio/phone-numbers:
    get:
      tags:
        - Credentials
      summary: List Twilio phone numbers
      description: >-
        List SMS-capable phone numbers available in the connected Twilio
        account.
      operationId: list_twilio_phone_numbers_v1_integrations_twilio_phone_numbers_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/TwilioPhoneNumberInfo'
                title: >-
                  Response List Twilio Phone Numbers V1 Integrations Twilio
                  Phone Numbers Get
        '400':
          description: The Twilio credentials are invalid
        '404':
          description: Twilio SMS is unavailable or the phone number was not found
        '422':
          description: Request validation failed
        '502':
          description: The Twilio provider request failed
        '503':
          description: The Twilio provider rate limit was reached
      security:
        - ApiKeyAuth: []
components:
  schemas:
    TwilioPhoneNumberInfo:
      properties:
        sid:
          type: string
          title: Sid
        phone_number:
          type: string
          title: Phone Number
        friendly_name:
          type: string
          title: Friendly Name
        sms_capable:
          type: boolean
          title: Sms Capable
        current_sms_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Current Sms Url
        enabled:
          type: boolean
          title: Enabled
        phone_number_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Phone Number Id
      type: object
      required:
        - sid
        - phone_number
        - friendly_name
        - sms_capable
        - enabled
      title: TwilioPhoneNumberInfo
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      description: Your Skyvern API key from https://app.skyvern.com/settings.
      in: header
      name: x-api-key

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.